Get My Ads List
Get the current merchant's advertisements list with pagination.
HTTP Request
- GET
/api/v3/fiat/merchant/ads/pagination
Required Permission: P2P Account Read
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| advNo | string | no | Ad unique identifier |
| merchantId | string | no | Merchant ID |
| coinId | string | no | Crypto coin ID (e.g., BTC, ETH) |
| fiatUnit | string | no | Fiat currency type (e.g., USD, EUR) |
| side | string | no | Trade direction: BUY / SELL |
| advStatus | string | no | Ad status, multiple statuses comma-separated. See enum values |
| kycLevel | string | no | KYC level. See enum values |
| startTime | long | no | Query start time (timestamp) |
| endTime | long | no | Query end time (timestamp) |
| page | integer | no | Page number, default 1 |
| limit | integer | no | Records per page, max 10 |
Response Parameters
| Name | Type | Description |
|---|---|---|
| advNo | string | Ad number |
| side | string | Trade direction: BUY / SELL |
| advStatus | string | Ad status: OPEN / CLOSE / LOW_STOCK |
| price | BigDecimal | Ad price |
| quantity | BigDecimal | Total quantity |
| initAmount | BigDecimal | Initial amount |
| availableQuantity | BigDecimal | Available quantity |
| frozenQuantity | BigDecimal | Frozen quantity |
| coinId | string | Coin ID |
| coinName | string | Coin name |
| fiatUnit | string | Fiat currency unit |
| countryCode | string | Country code |
| feeType | string | Fee type: NONE / EACH_FIX / EACH_RATIO |
| commissionRate | BigDecimal | Commission rate |
| payTimeLimit | integer | Payment time limit (minutes) |
| payMethod | string | Payment method ID |
| paymentInfo | array | Payment method details |
| paymentInfo[].id | integer | User payment account ID |
| paymentInfo[].payMethod | integer | Payment method type |
| paymentInfo[].account | string | Account |
| paymentInfo[].payee | string | Payee |
| paymentInfo[].extend | string | Extended info (JSON string) |
| minSingleTransAmount | BigDecimal | Minimum single trade amount |
| maxSingleTransAmount | BigDecimal | Maximum single trade amount |
| kycLevel | string | KYC level: NONE / PRIMARY / ADVANCED |
| requireMobile | boolean | Whether mobile binding is required |
| autoReplyMsg | string | Auto-reply message |
| tradeTerms | string | Trade terms |
| userAllTradeCountMin | integer | Minimum completed trades required |
| userAllTradeCountMax | integer | Maximum trades limit |
| maxPayLimit | integer | Max orders on this ad |
| buyerRegDaysLimit | integer | Minimum buyer registration days |
| exchangeCount | integer | Trade count |
| orderPayCount | integer | Current ad order count |
| makerInstitutionName | string | Merchant institution name |
| onlyTradeKybUser | boolean | Whether only KYB users can trade |
| paymethodIds | string | Payment method ID list |
| securityOrderPaymethodIds | string | Security order payment method ID list |
| createTime | long | Creation time (millisecond timestamp) |
| updateTime | long | Update time (millisecond timestamp) |
Response
{
"msg": "success",
"code": 0,
"data": [
{
"advNo": "a1740449468605790209",
"payTimeLimit": 15,
"quantity": 10.0,
"price": 11.0,
"initAmount": 110.0,
"frozenQuantity": 0.0,
"availableQuantity": 10.0,
"coinId": "5989b56ba96a43599dbeeca5bb053f43",
"coinName": "USDT",
"countryCode": "GB",
"commissionRate": 0.0,
"advStatus": "CLOSE",
"side": "SELL",
"createTime": 1780422986000,
"updateTime": 1780423171000,
"fiatUnit": "GBP",
"feeType": "NONE",
"autoReplyMsg": "",
"tradeTerms": "",
"payMethod": "1",
"paymentInfo": [
{
"id": 1605,
"payMethod": 1,
"account": "123",
"extend": "{\"accountType\":\"123\",\"typeOfBank\":\"123\"}"
}
],
"minSingleTransAmount": 1.0,
"maxSingleTransAmount": 110.0,
"kycLevel": "PRIMARY",
"requireMobile": false,
"userAllTradeCountMin": 0,
"userAllTradeCountMax": 0,
"maxPayLimit": 0,
"buyerRegDaysLimit": 0,
"exchangeCount": 0,
"blockTrade": false,
"orderPayCount": 0,
"makerInstitutionName": "DAVIS0406C",
"onlyTradeKybUser": true,
"paymethodIds": "",
"securityOrderPaymethodIds": ""
}
],
"page": {
"total": 7,
"currPage": 1,
"pageSize": 10,
"totalPage": 1
}
}